                function createBlink(minInput, maxInput, frequencyInput, addVariationCheckbox){

                    var minValue = parseFloat(minInput.text);
                    var maxValue = parseFloat(maxInput.text);
                    var frequencyValue = parseFloat(frequencyInput.text);
                    var addVariation = addVariationCheckbox.value;
            
                    // Vérifie que les valeurs sont valides
                    if (isNaN(minValue) || isNaN(maxValue) || isNaN(frequencyValue) || frequencyValue <= 0) {
                        alert("Veuillez entrer des valeurs numériques valides pour le minimum, le maximum, et une fréquence positive.");
                        return;
                    }
            
                    // Récupère le calque sélectionné dans la composition active
                    var selectedLayer = app.project.activeItem.selectedLayers[0];
                    if (selectedLayer) {
                        // Récupère la propriété d'opacité du calque sélectionné
                        var opacityProperty = selectedLayer.property("ADBE Transform Group").property("ADBE Opacity");
                        if (opacityProperty) {
                            // Applique l'expression de clignotement à l'opacité avec ou sans variation aléatoire
                            var expression =
                                "var min = " + minValue + ";\n" +
                                "var max = " + maxValue + ";\n" +
                                "var frequency = " + frequencyValue + ";\n" +
                                "var oscillation = (Math.sin(time * frequency * Math.PI * 2) + 1) / 2;\n";
            
                            // Ajoute la variation aléatoire si l'option est cochée
                            if (addVariation) {
                                expression += "oscillation += random(-0.1, 0.1); // Variation légère\n";
                            }
            
                            expression += "min + oscillation * (max - min);";
            
                            opacityProperty.expression = expression;
                        } else {
                            alert("Le calque sélectionné n'a pas de propriété d'opacité.");
                        }
                    } else {
                        alert("Aucun calque sélectionné. Veuillez sélectionner un calque.");
                    }
                }