// Keyframe Tools Panel - Version ME (Simplifiée)
// Créé par Rémi Fragnière (rfragniere.ch)


function definir_interpolation_ME(type_ME) {
    var composition_ME = app.project.activeItem;
    if (!composition_ME || !(composition_ME instanceof CompItem)) return;
    
    try {
        app.beginUndoGroup("Modification Interpolation");
        
        var proprietes_selectionnees_ME = obtenir_proprietes_selectionnees_ME();
        
        for (var i_ME = 0; i_ME < proprietes_selectionnees_ME.length; i_ME++) {
            var propriete_ME = proprietes_selectionnees_ME[i_ME];
            if (!propriete_ME.isSeparationLeader) continue;
            
            for (var cle_ME = 1; cle_ME <= propriete_ME.numKeys; cle_ME++) {
                if (propriete_ME.keySelected(cle_ME)) {
                    propriete_ME.setInterpolationTypeAtKey(cle_ME, type_ME);
                    if (type_ME === KeyframeInterpolationType.BEZIER) {
                        propriete_ME.setTemporalEaseAtKey(cle_ME, [new KeyframeEase(0, 33)], [new KeyframeEase(0, 33)]);
                    }
                }
            }
        }
    } catch(e_ME) {
        alert("Erreur : " + e_ME.toString());
    } finally {
        app.endUndoGroup();
    }
}

function definir_influence_ME(influence_ME) {
    var composition_ME = app.project.activeItem;
    if (!composition_ME || !(composition_ME instanceof CompItem)) return;
    
    try {
        app.beginUndoGroup("Reglage Influence");
        
        var proprietes_selectionnees_ME = obtenir_proprietes_selectionnees_ME();
        var lissage_entree_ME = new KeyframeEase(0, influence_ME);
        var lissage_sortie_ME = new KeyframeEase(0, influence_ME);
        
        for (var i_ME = 0; i_ME < proprietes_selectionnees_ME.length; i_ME++) {
            var propriete_ME = proprietes_selectionnees_ME[i_ME];
            if (!propriete_ME.isSeparationLeader) continue;
            
            var cles_selectionnees_ME = propriete_ME.selectedKeys;
            for (var j_ME = 0; j_ME < cles_selectionnees_ME.length; j_ME++) {
                var index_cle_ME = cles_selectionnees_ME[j_ME];
                
                if (propriete_ME.keyOutTemporalEase(index_cle_ME).length > 2) {
                    propriete_ME.setTemporalEaseAtKey(index_cle_ME, [lissage_entree_ME, lissage_entree_ME, lissage_entree_ME], [lissage_sortie_ME, lissage_sortie_ME, lissage_sortie_ME]);
                } else if (propriete_ME.keyOutTemporalEase(index_cle_ME).length > 1) {
                    propriete_ME.setTemporalEaseAtKey(index_cle_ME, [lissage_entree_ME, lissage_entree_ME], [lissage_sortie_ME, lissage_sortie_ME]);
                } else {
                    propriete_ME.setTemporalEaseAtKey(index_cle_ME, [lissage_entree_ME], [lissage_sortie_ME]);
                }
            }
        }
    } catch(e_ME) {
        alert("Erreur : " + e_ME.toString());
    } finally {
        app.endUndoGroup();
    }
}

function obtenir_proprietes_selectionnees_ME() {
    var proprietes_ME = [];
    var composition_ME = app.project.activeItem;
    
    if (composition_ME && composition_ME instanceof CompItem && composition_ME.selectedLayers.length > 0) {
        for (var i_ME = 0; i_ME < composition_ME.selectedLayers.length; i_ME++) {
            var calque_ME = composition_ME.selectedLayers[i_ME];
            var proprietes_calque_ME = calque_ME.selectedProperties;
            
            for (var p_ME = 0; p_ME < proprietes_calque_ME.length; p_ME++) {
                if (proprietes_calque_ME[p_ME].numKeys > 0) {
                    proprietes_ME.push(proprietes_calque_ME[p_ME]);
                }
            }
        }
    }
    return proprietes_ME;
}

