function shuffleArray(array) {
    for (var i = array.length - 1; i > 0; i--) {
        var j = Math.floor(Math.random() * (i + 1));
        var temp = array[i];
        array[i] = array[j];
        array[j] = temp;
    }
    return array;
}


function sequenceLayers(order, frameInterval) {
    if (app.project && app.project.activeItem && app.project.activeItem instanceof CompItem) {
        var comp = app.project.activeItem;
        var selectedLayers = comp.selectedLayers;

        if (selectedLayers.length > 1) {
            app.beginUndoGroup("Séquence des Calques");

            // Copier les calques sélectionnés dans un tableau
            var layers = selectedLayers.slice();

            // Trier les calques en fonction de l'ordre spécifié
            if (order === "normal") {
                // Les calques sont déjà dans l'ordre de sélection
            } else if (order === "reverse") {
                layers.reverse();
            } else if (order === "random") {
                layers = shuffleArray(layers);
            } else {
                alert("Ordre non reconnu.");
                app.endUndoGroup();
                return;
            }

            // Obtenir le point de départ de la séquence (temps courant de la composition)
            var startTime = comp.time;
            var compFrameRate = comp.frameRate;
            var intervalInSeconds = frameInterval / compFrameRate;

            // Séquencer les calques avec un intervalle défini
            var currentTime = startTime;
            for (var i = 0; i < layers.length; i++) {
                layers[i].startTime = currentTime;
                var layerDuration = layers[i].outPoint - layers[i].inPoint;
                currentTime += layerDuration + intervalInSeconds;
            }

            app.endUndoGroup();
        } else {
            alert("Veuillez sélectionner au moins deux calques.");
        }
    } else {
        alert("Veuillez sélectionner une composition active.");
    }
}
