function timeExpression(saisieMultiplicateur) {
    // Récupère la valeur du champ de saisie
    var multiplicateur = parseFloat(saisieMultiplicateur.text);

    if (isNaN(multiplicateur)) {
        alert("Veuillez entrer un nombre valide.");
        return;
    }

    // Vérifie si une composition est active
    var compo = app.project.activeItem;
    if (!(compo instanceof CompItem)) {
        alert("Veuillez sélectionner une composition.");
        return;
    }

    // Récupère les propriétés sélectionnées
    var proprietesSelectionnees = compo.selectedProperties;

    if (proprietesSelectionnees.length == 0) {
        alert("Veuillez sélectionner une propriété.");
        return;
    }

    // Commence le groupe d'annulation
    app.beginUndoGroup("Appliquer l'Expression");

    // Applique l'expression à chaque propriété sélectionnée
    for (var i = 0; i < proprietesSelectionnees.length; i++) {
        var propriete = proprietesSelectionnees[i];
        if (propriete.canSetExpression) {
            propriete.expression = "time * " + multiplicateur;
        } else {
            alert("Impossible d'appliquer une expression à la propriété : " + propriete.name);
        }
    }

    // Termine le groupe d'annulation
    app.endUndoGroup();
}
function timeExprPost(saisieMultiplicateur,postInput) {
    // Récupère la valeur du champ de saisie
    var multiplicateur = parseFloat(saisieMultiplicateur.text);
    var postVal = parseFloat(postInput.text);

    if (isNaN(multiplicateur)) {
        alert("Veuillez entrer un nombre valide.");
        return;
    }

    // Vérifie si une composition est active
    var compo = app.project.activeItem;
    if (!(compo instanceof CompItem)) {
        alert("Veuillez sélectionner une composition.");
        return;
    }

    // Récupère les propriétés sélectionnées
    var proprietesSelectionnees = compo.selectedProperties;

    if (proprietesSelectionnees.length == 0) {
        alert("Veuillez sélectionner une propriété.");
        return;
    }

    // Commence le groupe d'annulation
    app.beginUndoGroup("Appliquer l'Expression");

    // Applique l'expression à chaque propriété sélectionnée
    for (var i = 0; i < proprietesSelectionnees.length; i++) {
        var propriete = proprietesSelectionnees[i];
        if (propriete.canSetExpression) {
            propriete.expression = "posterizeTime("+ postVal +"); time * " + multiplicateur+";";
        } else {
            alert("Impossible d'appliquer une expression à la propriété : " + propriete.name);
        }
    }

    // Termine le groupe d'annulation
    app.endUndoGroup();
}



